%global momorel 1
%global md5sum_src0 2a16f58bcb26e5010c946dca9ec08d5f

Summary: ICU - International Components for Unicode
Name: icu
Version: 3.4.1
Release: %{momorel}m
License: MIT/X
Group: System Environment/Libraries
%NoSource 0 ftp://ftp.software.ibm.com/software/globalization/%{name}/%{version}/%{name}-%{version}.tgz %{md5sum_src0}
NoSource: 0
Patch0: icu-%{version}-gnustack.patch
Patch1: icu-gcc41.patch
URL: http://ibm.com/software/globalization/icu
BuildRoot: /var/tmp/%{name}-%{version}-root/

%description
ICU is a set of C and C++ libraries that provides robust and full-featured
Unicode and locale support. The library provides calendar support, conversions
for many character sets, language sensitive collation, date
and time formatting, support for many locales, message catalogs
and resources, message formatting, normalization, number and currency
formatting, time zones support, transliteration, word, line and
sentence breaking, etc.

This package contains the Unicode character database and derived
properties, along with converters and time zones data.

This package contains the runtime libraries for ICU. It does
not contain any of the data files needed at runtime and present in the
`icu' and `icu-locales` packages.

%package -n libicu
Summary: International Components for Unicode (libraries)
Group: Development/Libraries
%description -n libicu
ICU is a set of C and C++ libraries that provides robust and full-featured
Unicode support. This package contains the runtime libraries for ICU. It does
not contain any of the data files needed at runtime and present in the
`icu' and `icu-locales` packages.

%package -n libicu-devel
Summary: International Components for Unicode (development files)
Group: Development/Libraries
Requires: libicu = %{version}
%description -n libicu-devel
ICU is a set of C and C++ libraries that provides robust and full-featured
Unicode support. This package contains the development files for ICU.

%package locales
Summary: Locale data for ICU
Group: System Environment/Libraries
Requires: libicu >= %{version}
%description locales
The locale data are used by ICU to provide localization (l10n), 
internationalization (i18n) and timezone support to ICU applications.
This package also contains break data for various languages,
and transliteration data.

%prep

%setup -q -n icu
%patch0 -p1 -b .gnustack
%patch1 -p1 -b .gcc41

%build
cd source
%configure --with-data-packaging=files --enable-shared --enable-static --disable-samples
echo 'CPPFLAGS += -DICU_DATA_DIR=\"%{_datadir}/icu/%{version}\"' >> icudefs.mk
make RPM_OPT_FLAGS="%{optflags}"

%install
rm -rf %{buildroot}
cd source
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_datadir}/icu/%{version}/license.html
rm -f %{buildroot}%{_datadir}/icu/%{version}/mkinstalldirs

%clean
rm -rf %{buildroot}

%post -n libicu-devel
ldconfig

# Adjust the current ICU link in %{_libdir}/icu

icucurrent=`2>/dev/null ls -dp %{_libdir}/icu/* | sed -n 's,.*/\([^/]*\)/$,\1,p'| sort -rn | head -1`
cd %{_libdir}/icu
rm -f %{_libdir}/icu/current
if test x"$icucurrent" != x
then
    ln -s "$icucurrent" current
fi

%preun -n libicu-devel
# Adjust the current ICU link in %{_libdir}/icu

icucurrent=`2>/dev/null ls -dp %{_libdir}/icu/* | sed -n -e '/\/%{version}\//d' -e 's,.*/\([^/]*\)/$,\1,p'| sort -rn | head -1`
cd %{_libdir}/icu
rm -f %{_libdir}/icu/current
if test x"$icucurrent" != x
then
    ln -s "$icucurrent" current
fi

%files 
%defattr(-, root, root)
%doc *.html
%dir %{_datadir}/icu
%dir %{_datadir}/icu/%{version}
%ifnarch ppc ppc64 sparc sparcv9 sparc64
%dir %{_datadir}/icu/%{version}/icudt34l
%{_datadir}/icu/%{version}/icudt34l/*.cnv
%{_datadir}/icu/%{version}/icudt34l/*.icu
%{_datadir}/icu/%{version}/icudt34l/*.spp
%else
%dir %{_datadir}/icu/%{version}/icudt34b
%{_datadir}/icu/%{version}/icudt34b/*.cnv
%{_datadir}/icu/%{version}/icudt34b/*.icu
%{_datadir}/icu/%{version}/icudt34b/*.spp
%endif
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*

%files -n icu-locales
%defattr(-, root, root)
%ifnarch ppc ppc64 sparc sparcv9 sparc64
%{_datadir}/icu/%{version}/icudt34l/*.brk
%{_datadir}/icu/%{version}/icudt34l/*.res
%{_datadir}/icu/%{version}/icudt34l/coll
%{_datadir}/icu/%{version}/icudt34l/rbnf
%{_datadir}/icu/%{version}/icudt34l/translit
%else
%{_datadir}/icu/%{version}/icudt34b/*.brk
%{_datadir}/icu/%{version}/icudt34b/*.res
%{_datadir}/icu/%{version}/icudt34b/coll
%{_datadir}/icu/%{version}/icudt34b/rbnf
%{_datadir}/icu/%{version}/icudt34b/translit
%endif

%files -n libicu
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n libicu-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/unicode
%{_includedir}/layout
%{_libdir}/icu
%{_datadir}/icu/%{version}/config

%changelog
* Sun May 21 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.4.1-1m)
- update to 3.4.1
- add gnustack patch (from FC)
- add gcc41 patch (from FC)

* Wed Aug 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2-4m)
- enable big-endian arch.

* Mon Aug  8 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (3.2-3m)
- %defattr(-,root,root)

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-2m)
- revise %%post and %%preun

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-1m)
- initial import to Momonga
